Bug 1643094 (CVE-2018-18444)

Summary: CVE-2018-18444 OpenEXR: Out-of-bounds write in makeMultiView.cpp
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: dhoward, jridky, kwizart, manisandro, rdieter, rh-spice-bugs
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-10-25 22:19:55 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1643095, 1643096, 1643098, 1651153, 1910634    
Bug Blocks: 1643102    

Description Andrej Nemec 2018-10-25 13:45:40 UTC
makeMultiView.cpp in exrmultiview in OpenEXR 2.3.0 has an out-of-bounds write, leading to an assertion failure or possibly unspecified other impact.

Upstream issue:

https://github.com/openexr/openexr/issues/351

Comment 1 Andrej Nemec 2018-10-25 13:46:26 UTC
Created OpenEXR tracking bugs for this issue:

Affects: fedora-all [bug 1643095]


Created mingw-OpenEXR tracking bugs for this issue:

Affects: fedora-all [bug 1643096]

Comment 3 Stefan Cornelius 2018-11-19 10:07:05 UTC
Statement:

This issue did not affect the versions of OpenEXR as shipped with Red Hat Enterprise Linux 6 and 7.